smpeg-btanks (0.4.5+cvs20030824-5endless1) eos; urgency=low

  * Rename to smpeg-btanks for usage as btanks bundled dep.
    - debian/control:
      + Rename packages to contain -btanks suffix.
      + Remove unneeded mpegplay and gtv packages.
      + Add EOS-AppId of btanks to packages.
      + Remove Conflicts from libsmpeg0-btanks since it should be parallel
        installable in /endless/btanks.
      + Drop gtk and glib build deps since gtv is no longer packaged.
    - debian/rules:
      + Delete unwanted mpegplay and gtv files before dh_install.
    - debian/libsmpeg0.install:
    - debian/libsmpeg-dev.install:
    - debian/libsmpeg-dev.manpages:
      + Renamed with -btanks suffix.
    - debian/libsmpeg-dev.preinst:
      + Removed as there is no legacy docdir.
    - debian/smpeg-gtv*:
    - debian/smpeg-plaympeg*:
      + Removed.

 -- Dan Nicholson <nicholson@endlessm.com>  Mon, 30 Jun 2014 14:18:19 -0700

smpeg (0.4.5+cvs20030824-5) unstable; urgency=low

  * Add libsmpeg-dev.preinst to remove /usr/share/doc/libsmpeg-dev symlink to
    libsmpeg0, if existing from previous versions of the package (it was like
    that in Squeeze).  Otherwise, when -dev is removed, it removes files from
    the libsmpeg0 package.  Thanks to Andreas Beckmann for the report (Closes:
    #700787).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 17 Feb 2013 22:24:31 +0000

smpeg (0.4.5+cvs20030824-4) unstable; urgency=low

  [ Felix Geyer ]
  * Team upload.
  * Change section of smpeg-plaympeg and smpeg-gtv to video.
  * Simplify debian/rules by using dh(1).
  * Switch to debhelper compat level v9.
    - Exports hardening build flags.
    - Add 330_format_security.diff.
    - Build for multiarch. (Closes: #650990)
  * Append -Wl,--as-needed to LDFLAGS.
  * Pass --fail-missing to dh_install.

  [ Dominique Dumont ]
  * source/lintian-override: added debhelper exception.
  * debian/copyright: converted to DEP-5.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 08 Jan 2012 10:39:20 +0100

smpeg (0.4.5+cvs20030824-3) unstable; urgency=low

  * Team upload.
  * Drop the .la file. (Closes: #633322)
  * Remove Joe Drew <drew@debian.org> from Uplodaers (MIA). (Closes: #540911)
  * Put changes from last upload into a patch file: 320_gnu_stack.diff
  * Convert to source fromat 3.0 (quilt).
  * Add ${misc:Depends} to all packages.
  * control: added homepage, bumped standard version (no other changes)
  * fix lintian warning in rules, spmeg-gtv.menu
  * Import changes from Ubuntu / Colin Watson:
    - 020_libx11.diff: Link gtv with -lx11. (Closes: #556351)
    - 030_am_prog_as.diff: Add AM_PROG_AS to configure.in to keep current
      automake happy.
    - 100_rebootstrap.diff: Refresh.  Remove superseded macros from
      acinclude.m4.
  * Add Vcs control fields.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 02 Dec 2011 13:59:15 +0100

smpeg (0.4.5+cvs20030824-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * Build with a 2 line patch to not need an executable stack, new version of
    the patch to use the latest version of progbits.
    Closes: #445595
    For background see:
    http://etbe.coker.com.au/2008/08/11/executable-stacks-lenny/

 -- Russell Coker <russell@coker.com.au>  Wed, 10 Sep 2008 17:13:23 +1000

smpeg (0.4.5+cvs20030824-2) unstable; urgency=low

  * debian/control:
    + Set maintainer to the SDL team.
    + Build-depend on quilt.
    + Build-depend on libgtk2.0-dev.

  * Split the old monolithic diff.gz into patches in debian/patches.

  * 001_gtk+2.0-headers.diff  210_gtk+2.0-code.diff:
    + New patches. Support for GTK+2.0.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 21 Jun 2007 03:16:01 +0200

smpeg (0.4.5+cvs20030824-1.10) unstable; urgency=low

  * Non-maintainer upload.
  * Fix aclocal warnings in smpeg.m4 due to missing quotation.
    (Closes: #310636, #418292)
  * Update smpeg.m4 so that 'autoreconf -Wall' will not produce warnings
    about deprecated macro usage.
  * Fix typos in gtv.1 and plaympeg.1 manpages (secons -> seconds).
    Thanks to A Costa <agcosta@gis.net>. (Closes: #302664, #350354)
  * Reword the copyright file: (Closes: #290206)
    - Add upstream author information.
    - Use 'License' instead of 'Copyright'.
  * Use binary:Version substvar instead of the deprecated Source-Version.
  * Remove unneeded dpkg versioned Build-Depends.
  * Switch to Standards-Version 3.7.2.
  * Switch to debhelper compatibility level 5.
  * Switch from DH_COMPAT to debian/compat.
  * Remove uneeded INSTALL_PROGRAM usage.
  * Add '-Wall' to CFLAGS.
  * Pass CXXFLAGS to configure so that DEB_BUILD_OPTIONS are honoured.
  * Use $(CURDIR) instead of `pwd`.
  * Do not use a build stamp.
  * Add build-arch and build-indep targets and make build depend on both.
  * Create a new config.status target which handles the configure stage.
  * Remove uneeded DEB_HOST_ARCH.
  * Pass '--host' and '--build' options to configure to allow cross-compiling.

 -- Guillem Jover <guillem@debian.org>  Sun, 27 May 2007 04:06:31 +0300

smpeg (0.4.5+cvs20030824-1.9) unstable; urgency=low

  * Build using the default g++ on s390. Closes: #343020.

 -- Matthias Klose <doko@debian.org>  Sun,  3 Sep 2006 12:51:31 +0000

smpeg (0.4.5+cvs20030824-1.8) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Declare friend functions (Closes: #356691).

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 25 May 2006 23:08:25 +0200

smpeg (0.4.5+cvs20030824-1.7) unstable; urgency=high

  * Non-maintainer upload.
  * Removed xlibs-dev build-dep (Closes: #347044).

 -- Luk Claes <luk@debian.org>  Wed, 11 Jan 2006 17:05:18 +0100

smpeg (0.4.5+cvs20030824-1.6) unstable; urgency=low

  * Fix broken shlibs (Closes: #335567)

 -- Ari Pollak <ari@debian.org>  Tue, 25 Oct 2005 02:31:04 +0000

smpeg (0.4.5+cvs20030824-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * Build with g++-3.4 on s390. (closes: #332507)

 -- Bastian Blank <waldi@debian.org>  Fri,  7 Oct 2005 01:51:22 +0200

smpeg (0.4.5+cvs20030824-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Undoing renaming for gcc 4.0 transition (Closes: #323084).

 -- Luk Claes <luk@debian.org>  Wed,  5 Oct 2005 15:53:27 +0200

smpeg (0.4.5+cvs20030824-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix
  * Rebuild against g++-4.0 for the C++ ABI transition, renaming libsmpeg0
    to libsmpeg0c2 and conflicting with libsmpeg0.

 -- Steve Langasek <vorlon@debian.org>  Sat, 16 Jul 2005 04:35:17 -0700

smpeg (0.4.5+cvs20030824-1.2) unstable; urgency=low
 
  * NMU.
  * Seems that the libtool update has caused a number of unneed dependencies
    for libsmpeg0. Previous libtool changed has been reverted.
  * Patched ltconfig by hand.
  * Updated config.{guess,sub}

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 18 Jun 2005 17:22:32 +0200

smpeg (0.4.5+cvs20030824-1.1) unstable; urgency=low

  * NMU.
  * Updated libtool (closes: bug#269262).
  * Link with g++ instead of cc.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 13 Jun 2005 20:32:15 +0200

smpeg (0.4.5+cvs20030824-1) unstable; urgency=low

  * Change version number to ensure source upload occurs, as several files
    weren't +x that needed to be.
    + SMPEG CVS hasn't changed, so this version number is as good as the last.
  * debian/rules:
    + Added 'touch' trick for slow buildds from smpeg-xmms.

    Above two changes are fixes for buildd errors. (Closes: Bug#207004)

 -- Joe Drew <drew@debian.org>  Sun, 24 Aug 2003 21:48:32 -0400

smpeg (0.4.5+cvs20030823-2) unstable; urgency=low

  * debian/control: Update libsmpeg-dev's Section to libdevel. 
  * Bring forward some changes from 0.4.4 series of packages, accidentally
    dropped in the previous package
    + Don't define rpath in smpeg-config --libs
    + Support --library-libs and --plugin-libs in smpeg-config, but simply
      note that they are no longer supported

 -- Joe Drew <drew@debian.org>  Sat, 23 Aug 2003 23:56:50 -0400

smpeg (0.4.5+cvs20030823-1) unstable; urgency=low

  * New upstream release + CVS changes. Our old SMPEG was horribly outdated.
  * Update config.{sub, guess} to ensure no build breakage
  * Acknowledge & merge changes from Sam Hocevar's NMU (Closes: Bug#200297)
    Thanks, Sam!
  * debian/rules:
    + Update DEB_BUILD_OPTIONS for new policy
  * debian/control:
    + Update to Standards-Version 3.6.1.
  * debian/smpeg-gtv.menu:
    + Added menu entry for gtv. (Closes: Bug#148478)
  * Patch smpeg.m4 for Bug#197002. Fix apparent copy and paste line breaking
    errors which broke configure. Programs which use smpeg.m4 will need
    to re-run aclocal. Patch sent upstream.

 -- Joe Drew <drew@debian.org>  Sat, 23 Aug 2003 23:32:20 -0400

smpeg (0.4.4-8.1) unstable; urgency=high

  * NMU from the DebCamp BSP.
  * Rebuilt with gcc-3.3 (Closes: #200297).
  * Copied config.guess and config.sub from the latest autotools-dev package
    to avoid build failures.
  * debian/control:
    + Set policy to 3.6.0. No changes required.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 18 Jul 2003 14:08:28 +0200

smpeg (0.4.4-8) unstable; urgency=high

  * debian/control: Add conflicts for libsmpeg-dev (<= 0.3.5-1), smpeg-gtv (<=
    0.3.5-1), smpeg-plaympeg (<= 0.3.5-1) to libsmpeg0 as per Anthony Towns' 
    suggestion so that upgrades from potato at least will be less likely to 
    horribly break. Closes: Bug#140572

 -- Joe Drew <drew@debian.org>  Wed,  3 Apr 2002 23:17:25 -0500

smpeg (0.4.4-7) unstable; urgency=low

  * plaympeg.1: remove section about fullscreen requiring root privileges.
    Closes: Bug#100042
  * Makefile.am: Add -lstdc++ to the link flags for smpeg itself, and remove
    it from each of the smpeg-source generated binaries (plaympeg, gtv, etc).
    This lets anything using the new libstdc++ link properly.
    Closes: Bug#128623
  * debian/libsmpeg0.shlibs: change shlibs on smpeg to be equal to this  
    version of the library. This is required now that libstdc++ is linked
    with smpeg.
  * aclocal ; automake ; autoconf

 -- Joe Drew <drew@debian.org>  Fri, 11 Jan 2002 22:24:48 -0500

smpeg (0.4.4-6) unstable; urgency=low

  * MPEG.cpp: Fix smpeg-xmms' crashing when the file specified on the xmms
    command-line doesn't exist. Closes: Bug#97914.
    Patch sent upstream.
  * depcomp: removed. No longer built with weird automake 1.5.

 -- Joe Drew <drew@debian.org>  Sun,  6 Jan 2002 00:34:02 -0500

smpeg (0.4.4-5) unstable; urgency=high

  * smpeg-config.in: Add --plugin-libs option.
  * debian/smpeg-config.1: update for --plugin-libs, and add verbiage from
    Branden's new sdl-config.1.
  * smpeg.m4: define and export SMPEG_LIBS_FOR_PLUGINS
  * aclocal; automake --foreign; autoconf
  * debian/control: update libsmpeg-dev dependency on SDL 1.2.2-3.3, because
    of the above

 -- Joe Drew <drew@debian.org>  Sun, 30 Dec 2001 00:26:38 -0500

smpeg (0.4.4-4) unstable; urgency=low

  * Patch Makefile.am to link in libstdc++ when creating executables.
    Closes: Bug#120119.

 -- Joe Drew <drew@debian.org>  Mon, 19 Nov 2001 08:41:33 -0500

smpeg (0.4.4-3) unstable; urgency=low

  * Acknowledge NMU. Closes: Bug#115053
  * Branden's NMU now lets libSDL-dependent packages work on all
    architectures. Closes: Bug#107333
  * libsdl1.2debian now exists. Closes: Bug#115396
  * Removed rpath definition from configure.in. Closes: Bug#107513
  * Removed $DISPLAY requirements for audio/mpeg mime type with plaympeg.
    Closes: Bug#108136
  * Updated 'missing' in source package.
  * Added decomp to source package.
  * Added work-around for automake: define AS as CC for now.
  * Remove reference to mpg321 in description of libsmpeg0. 

 -- Joe Drew <drew@debian.org>  Sat, 13 Oct 2001 21:05:08 -0400

smpeg (0.4.4-2.1) unstable; urgency=low

  * NMU to fix the Big SDL and X Extension Library Problem (Closes: #115053)
  * built against libsdl1.2 1.2.2-3.1 and sdl-image1.2 1.2.0-1.1
  * Thanks to Eric Gillespie, Jr. for help preparing this solution
  * INSTALL, NEWS, AUTHORS, ChangeLog: automake wants these files;
    upstream should do something about this
  * Makefile.am:
    - add @SDL_LIBS@ to _LDADD targets
    - add @SDL_LIBS_FOR_LIBS@ to _LIBADD targets
  * acinclude.m4: remove everything except AC_TYPE_SOCKLEN_T
  * configure.in: s/$SDL_LIBS/$SDL_LIBS_FOR_LIBS/
  * smpeg.m4: export SMPEG_LIBS_FOR_LIBS
  * smpeg-config.in:
    - added --library-libs option and updated usage message
    - removed @SMPEG_RDL_FLAGS@
  * smpeg-config.1: updated to document --library-libs option
  * re-ran libtoolize --copy --force; aclocal; automake --foreign; autoconf
  * debian/control:
    - bump dependencies and build-dependencies on libsdl1.2-dev to (>=
      1.2.2-3.1)
    - remove redundant dependency of smpeg-gtv on libsmpeg0
  * debian/*.copyright: only one copyright file was actually used, so move
    it to debian/copyright, and correct spelling of "Debian GNU/Linux"
  * debian/libsmpeg0.postinst: don't use an absolute path to ldconfig
  * debian/libsmpeg-dev.files: ship /usr/share/aclocal/smpeg.m4
  * debian/rules: give dh_shlipdeps an appropriate -l argument so
    dpkg-shlibdeps can find libsmpeg0 for the other binary packages

 -- Branden Robinson <branden@debian.org>  Tue,  9 Oct 2001 16:43:36 -0500

smpeg (0.4.4-2) unstable; urgency=low

  * Correct Section of smpeg-gtv. Thanks, Junichi. (Closes: Bug#106279) 

 -- Joe Drew <drew@debian.org>  Mon, 23 Jul 2001 19:37:24 -0400

smpeg (0.4.4-1) unstable; urgency=low

  * New upstream release
  * Resurrected gtv, as requested - available in smpeg-gtv package. 

 -- Joe Drew <drew@debian.org>  Sun, 24 Jun 2001 17:38:43 -0400

smpeg (0.4.3-3) unstable; urgency=low

  * Included fix from smpeg CVS which caused segfaults if the file doesn't
    exist (Closes: Bug#99722)

 -- Joe Drew <drew@debian.org>  Sun, 10 Jun 2001 12:59:06 -0400

smpeg (0.4.3-2) unstable; urgency=low

  * Corrected shlibs file due to SDL 1.2 dependency 

 -- Joe Drew <drew@debian.org>  Wed, 25 Apr 2001 17:40:14 -0400

smpeg (0.4.3-1) unstable; urgency=low

  * New upstream release
  * Put libsmpeg0 in section libs, libsmpeg-dev in devel to agree with the
    overrides file
  * Updated build-depends to libsdl1.2, added xlibs-dev to build-depends
  * My audio timestamp patch integrated upstream, removed from diff

 -- Joe Drew <drew@debian.org>  Mon, 23 Apr 2001 23:43:09 -0400

smpeg (0.4.2-3) unstable; urgency=low

  * New Maintainer
  * Applied my audio time calculation patch (Closes: Bug#84685)
  * Added proper shlibs file (Closes: Bug#85596)
  * Removed all references to gtv
  * Updated to policy 3.5.2
  * Made rules less convoluted wrt moving of files and creation of directories
  * Use features of debhelper 3.0, so update build-depends 

 -- Joe Drew <drew@debian.org>  Sat,  3 Mar 2001 19:10:26 -0500

smpeg (0.4.2-2) unstable; urgency=low

  * Don't build gtv any longer. There's now an XMMS plugin (smpeg-xmms) available
    with more features.
  * Fixed shlibs

 -- Stefan Gybas <sgybas@debian.org>  Sun, 17 Dec 2000 11:19:10 +0100

smpeg (0.4.2-1) unstable; urgency=low

  * New upstream release
  * Built using libsdl1.1-dev 1.1.6-3 which uses XFree4 extensions. This
    causes much less CPU usage on MPEG playback on modern graphic cards.

 -- Stefan Gybas <sgybas@debian.org>  Tue, 12 Dec 2000 23:01:36 +0100

smpeg (0.4.1-1) unstable; urgency=low

  * New upstream release
    - support for VideoCDs and URLs in plaympeg
    - built using SDL 1.1.5 (closes: #72801, #72616)
    - fixed smpeg-config output (closes: #68817, #71101)
  * Fixed segfault in gtv when seeking without a loaded movie (closes: #65527)
  * Standards-Version: 3.2.1 (no changes required)
  * Use debhelper V2
  * Added shlibs.local to depend on svgalibg1 | svgalib-dummyg1 (closes: #67705)

 -- Stefan Gybas <sgybas@debian.org>  Tue,  3 Oct 2000 12:51:54 +0200

smpeg (0.4.0-1) unstable; urgency=low

  * New upstream release
    - plays a lot more MPEG movies (closes: #44572)
    - timestamp based audio/video synchronization
    - support for arbitrary scaling in plaympeg
    - support for seeking in gtv
  * Added menu entry for gtv
  * Build dependency on libsdl1.1-dev (>= 1.1.3-2) and remove build dependency
    for libggi2-dev
  * Don't create /usr/bin/smpeg symlink in smpeg-plaympeg package any longer
  * Run configure with --prefix=/usr so smpeg-config now shows -L/usr/lib
    and -I/usr/include instead of /usr/local/{lib,incluse}.
  * Wrote smpeg-config(1) man page

 -- Stefan Gybas <sgybas@debian.org>  Thu, 15 Jun 2000 11:56:14 +0200

smpeg (0.3.5-1) unstable; urgency=low

  * New upstream release which fixes some MPEG video problems
    (closes: #61248)
  * Changed build dependency from libsdl1.0-dev to libsdl1.1-dev
  * Added build dependency for libggi2-dev as libsdl1.1-dev only recommends it

 -- Stefan Gybas <sgybas@debian.org>  Wed, 10 May 2000 13:36:21 +0200

smpeg (0.3.3-1) frozen unstable; urgency=low

  * New upstream release which fixes audio plaympeg on system streams
    and MP3 detection (closes: #54844, #56006 - an important bug)
  * Add symlink /usr/bin/smpeg -> /usr/bin/plaympeg (closes: #50749)

 -- Stefan Gybas <sgybas@debian.org>  Thu, 10 Feb 2000 13:35:08 +0100

smpeg (0.3.2-1) unstable; urgency=low

  * New upstream release
  * Removed local copy of gtv.1 manpage as it is now included upstream
  * Install upstream changelog
  * Added byte order detection using /usr/include/endian.h (Thanks to
    Jim Studt for the patch, closes: #53968)

 -- Stefan Gybas <sgybas@debian.org>  Tue,  4 Jan 2000 00:43:25 +0100

smpeg (0.3.1-1) unstable; urgency=low

  * New upstream release
  * Removed BSD advertising clause from copyright
  * Standards-Version: 3.1.1 (no changes required)
  * Changed build dependencies from libsdl0.11-dev to libsdl1.0-dev
  * Split smpeg package into 4 packages: libsmpeg0, libsmpeg-dev,
    smpeg-plaympeg and smpeg-gtv
  * Updated plaympeg.1 and gtv.1 manual pages
  * Added mime entry for audio/mpeg and video/mpeg (closes: #50582)

 -- Stefan Gybas <sgybas@debian.org>  Tue, 28 Dec 1999 23:12:12 +0100

smpeg (0.3.0-1) unstable; urgency=low

  * New upstream release with audio/video sync support
  * Standards-Version: 3.1.0
    - Added build dependencies
  * Renamed the smpeg binary to plaympeg (as in the upstream source)
  * Build the new gtv GTK+ GUI player (which replaces a Qt GUI player)

 -- Stefan Gybas <sgybas@debian.org>  Sat,  6 Nov 1999 21:41:55 +0100

smpeg (0.2.7-4) unstable; urgency=low

  * Corrected typo in previous changelog: Bug 43533 (instead of 43553
    was fixed)
  * Standards-Version: 3.0.1
    - FHS (built using debhelper 2.0.40+)

 -- Stefan Gybas <sgybas@debian.org>  Tue, 21 Sep 1999 20:43:22 +0200

smpeg (0.2.7-3) unstable; urgency=low

  * Corrected bug reporting email address in manpage
  * Include m68k patch from Roman Hodek (closes: #43533)

 -- Stefan Gybas <sgybas@debian.org>  Thu, 26 Aug 1999 16:09:59 +0200

smpeg (0.2.7-2) unstable; urgency=low

  * Wrote manpage

 -- Stefan Gybas <sgybas@debian.org>  Mon, 16 Aug 1999 17:17:01 +0200

smpeg (0.2.7-1) unstable; urgency=low

  * Initial release

 -- Stefan Gybas <sgybas@debian.org>  Sun, 15 Aug 1999 20:26:11 +0200
